var landing = implement("fiskheroes:external/superhero_landing");
var utils = implement("fiskheroes:external/utils");

function init(hero) {
    hero.setName("Doctor Doom");
    hero.setTier(4);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
    hero.addPowers("pkg:magic", "pkg:doctor_doom_physiology");
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 6.0, 0);


    hero.addKeyBind("ENERGY_PROJECTION", "Magic Blast", 1);
    hero.addKeyBind("SPELL_MENU", "Doom's Magic", 2);
    hero.addKeyBind("TELEPORT", "Teleport", 3);  
    hero.addKeyBind("SHIELD", "Forcefield", 4);
    hero.addKeyBind("TELEKINESIS", "Telekinesis", 5);
  
	
	hero.setTickHandler((entity, manager) => {
        manager.incrementData(entity, "fiskheroes:dyn/booster_timer", 2, entity.getData("fiskheroes:flying"));
        landing.tick(entity, manager);
		   });
}
